#ifndef STATUSSHOW_H
#define STATUSSHOW_H

#include <QThread>
#include <windows.h>

class StatusShow : public QThread
{
    Q_OBJECT
public:
    StatusShow(){};
signals:
    void status(bool);
protected:
    void run() override {
        forever{
            msleep(50);
            emit status((bool)GetKeyState(VK_NUMLOCK));
        }
    }
};

#endif // STATUSSHOW_H
